### Method

# Ide Buffer get_symbol_resolvers

#### Declaration

    GPtrArray*
    ide_buffer_get_symbol_resolvers (
      IdeBuffer* self
    )

#### Description

Gets the symbol resolvers for the buffer based on the current language. The resolvers in the resulting array are sorted by priority.

Available since: | 3.32

#### Return value

Returns: | An array of `None`
| A `GPtrArray` of `IdeSymbolResolver`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.